#version 430 core

layout(location=0) in vec3 position;
in vec2 uv;

out vec2 fragmentUV;
out vec2 blurUV[10];

uniform vec2 resolution;


void main()
{
    gl_Position = vec4(position, 1);
    fragmentUV = uv;
    blurUV[0] = fragmentUV + vec2(-resolution.x*10, 0.0);
    blurUV[1] = fragmentUV + vec2(-resolution.x*8, 0.0);
    blurUV[2] = fragmentUV + vec2(-resolution.x*6, 0.0);
    blurUV[3] = fragmentUV + vec2(-resolution.x*4, 0.0);
    blurUV[4] = fragmentUV + vec2(-resolution.x*2, 0.0);
    blurUV[5] = fragmentUV + vec2( resolution.x*2, 0.0);
    blurUV[6] = fragmentUV + vec2( resolution.x*4, 0.0);
    blurUV[7] = fragmentUV + vec2( resolution.x*6, 0.0);
    blurUV[8] = fragmentUV + vec2( resolution.x*8, 0.0);
    blurUV[9] = fragmentUV + vec2( resolution.x*10, 0.0);
}