#version 430 core

layout(location = 0) in vec3 position;
in vec2 uv;

out vec2 fragmentUV;
out vec2 blurUV[10];

uniform vec2 resolution;


void main()
{
    gl_Position = vec4(position, 1);
    fragmentUV = uv;
    /*
	blurUV[0] = fragmentUV + vec2(0.0, -resolution.y*5);
    blurUV[1] = fragmentUV + vec2(0.0, -resolution.y*4);
    blurUV[2] = fragmentUV + vec2(0.0, -resolution.y*3);
    blurUV[3] = fragmentUV + vec2(0.0, -resolution.y*2);
    blurUV[4] = fragmentUV + vec2(0.0, -resolution.y  );
    blurUV[5] = fragmentUV + vec2(0.0,  resolution.y  );
    blurUV[6] = fragmentUV + vec2(0.0,  resolution.y*2);
    blurUV[7] = fragmentUV + vec2(0.0,  resolution.y*3);
    blurUV[8] = fragmentUV + vec2(0.0,  resolution.y*4);
    blurUV[9] = fragmentUV + vec2(0.0,  resolution.y*5);
	*/
	blurUV[0] = fragmentUV + vec2(0.0, -resolution.y*10);
    blurUV[1] = fragmentUV + vec2(0.0, -resolution.y*8);
    blurUV[2] = fragmentUV + vec2(0.0, -resolution.y*6);
    blurUV[3] = fragmentUV + vec2(0.0, -resolution.y*4);
    blurUV[4] = fragmentUV + vec2(0.0, -resolution.y*2);
    blurUV[5] = fragmentUV + vec2(0.0,  resolution.y*2);
    blurUV[6] = fragmentUV + vec2(0.0,  resolution.y*4);
    blurUV[7] = fragmentUV + vec2(0.0,  resolution.y*6);
    blurUV[8] = fragmentUV + vec2(0.0,  resolution.y*8);
    blurUV[9] = fragmentUV + vec2(0.0,  resolution.y*10);
}